Bug 11426 - net share allowedusers crashes
net share allowedusers crashes
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 09:31 UTC by Ralph Böhme
Modified: 2015-08-18 11:42 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.3 cherry-picked from master (2.25 KB, patch)
2015-08-10 13:21 UTC, Ralph Böhme
metze: review+
Details
Patch for 4.2 cherry-picked from master (2.25 KB, patch)
2015-08-10 13:22 UTC, Ralph Böhme
metze: review+
Details
Patch for 4.1 cherry-picked from master (2.25 KB, patch)
2015-08-10 13:35 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2015-08-04 09:31:39 UTC
push_alias() uses a static array of size 100 resulting in a crash once we push more the 100 aliases in push_alias().
Comment 1 Paul Wise 2015-08-09 14:49:12 UTC
The patch fixes the crash we were experiencing on samba 3.6. Testing with 4.1 now.
Comment 2 Paul Wise 2015-08-10 12:45:34 UTC
The patch fixes the crash we were experiencing on samba 4.1 too.

Thanks Ralph!
Comment 3 Ralph Böhme 2015-08-10 13:21:21 UTC
Created attachment 11321 [details]
Patch for 4.3 cherry-picked from master
Comment 4 Ralph Böhme 2015-08-10 13:22:10 UTC
Created attachment 11322 [details]
Patch for 4.2 cherry-picked from master
Comment 5 Ralph Böhme 2015-08-10 13:35:14 UTC
Created attachment 11323 [details]
Patch for 4.1 cherry-picked from master
Comment 6 Stefan Metzmacher 2015-08-17 15:44:14 UTC
Pushed to autobuild-v4-{1,2,3}-test
Comment 7 Stefan Metzmacher 2015-08-18 11:42:35 UTC
Pushed to v4-{1,2,3}-test